#
# spec file for package audit-libs-python (Version 1.2.6)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed sqlite strace swig sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           audit-libs-python
%define _name audit
BuildRequires:  audit-devel gcc-c++ python-devel swig
Summary:        Python bindings for libaudit
Version:        1.2.6
Release:        24.1
License:        GNU General Public License (GPL)
Group:          System/Monitoring
URL:            http://people.redhat.com/sgrubb/audit/
Source0:        audit-%{version}.tar.bz2
Patch0:         audit-move-audisp.patch
Patch1:         audit-disable-syscall-contexts.patch
Patch2:         audit-no_kernelconfig.patch
Patch3:         audit-no_kernelconfig2.patch
Patch4:         audit-no_syscall_hdr.patch
Patch5:         audit-auparse_missing_return.patch
Patch6:         audit-259676.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       audit-libs = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' audit-libs`)
PreReq:         %insserv_prereq %fillup_prereq

%description
The audit-libs-python package contains the bindings so that libaudit
can be used by python.



Authors:
--------
    Steve Grubb <sgrubb@redhat.com>

%debug_package
%prep
%setup -q -n audit-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
autoreconf -fv --install
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
./configure --prefix=%{_prefix} --sbindir=/sbin --mandir=%{_mandir} --libdir=/%{_lib} --sysconfdir=/etc
pushd src/mt
        make libaudit.h
popd
make

%install
make DESTDIR=$RPM_BUILD_ROOT install -C swig
make DESTDIR=$RPM_BUILD_ROOT install -C audisp LIBDIR=$RPM_BUILD_ROOT/%{_libdir}/python%{py_ver}/site-packages
mkdir $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/sbin/audispd $RPM_BUILD_ROOT/usr/sbin/audispd
rm -f $RPM_BUILD_ROOT/%{_libdir}/python%{py_ver}/site-packages/_audit.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/python%{py_ver}/site-packages/_audit.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
conf=/etc/auditd.conf
tmp=$conf.new
if [ -f $conf ]; then
  sed 's|^#dispatcher|dispatcher|g' $conf > $tmp &&\
    cat $tmp > $conf &&\
    rm -f $tmp
fi

%files
%defattr(-,root,root,-)
%attr(750,root,root) /usr/sbin/audispd
%{_libdir}/python%{py_ver}/site-packages/_audit.so
%{_libdir}/python%{py_ver}/site-packages/audit.py*
%{_libdir}/python%{py_ver}/site-packages/AuditMsg.py*

%changelog
* Thu Apr 26 2007 - tonyj@suse.de
- Move auditspd to libs-python.  Fix so that AuditMsg is packaged also.
* Sun Nov 05 2006 - ro@suse.de
- fix requires
* Thu Aug 31 2006 - tonyj@suse.de
- Upgrade to 1.2.6-1
* Wed Aug 16 2006 - cthiel@suse.de
- split off package
